module Postjob::CLI
  # Prints version info
  def version
    puts "This is postjob (ruby) #{Postjob::VERSION}"

    begin
      connect_to_database!
      puts "postjob/schema_version: #{::Postjob::Queue.version}"
    rescue StandardError
      Postjob.logger.warn "Cannot read postjob schema version. Database might not be configured or migrated."
    end
  end
end
