DO $$
  BEGIN
    ALTER TABLE {SCHEMA_NAME}.postjobs DROP COLUMN processing_client;
  EXCEPTION
    WHEN undefined_column THEN RAISE DEBUG 'column {SCHEMA_NAME}.postjobs.processing_client already dropped';
  END;
$$;

DO $$
  BEGIN
    ALTER TABLE {SCHEMA_NAME}.postjobs DROP COLUMN processing_client_identifier;
  EXCEPTION
    WHEN undefined_column THEN RAISE DEBUG 'column {SCHEMA_NAME}.postjobs.processing_client_identifier already dropped';
  END;
$$;

DO $$
  BEGIN
    ALTER TABLE {SCHEMA_NAME}.postjobs DROP COLUMN processing_started_at;
  EXCEPTION
    WHEN undefined_column THEN RAISE DEBUG 'column {SCHEMA_NAME}.postjobs.processing_started_at already dropped';
  END;
$$;

DO $$
  BEGIN
    ALTER TABLE {SCHEMA_NAME}.postjobs DROP COLUMN processing_max_duration;
  EXCEPTION
    WHEN undefined_column THEN RAISE DEBUG 'column {SCHEMA_NAME}.postjobs.processing_max_duration already dropped';
  END;
$$;
