DO $$
  BEGIN
    ALTER TABLE {SCHEMA_NAME}.postjobs ADD COLUMN is_sticky BOOLEAN NOT NULL DEFAULT FALSE;
  EXCEPTION
    WHEN duplicate_column THEN RAISE DEBUG 'column {SCHEMA_NAME}.postjobs.is_sticky already exists';
  END;
$$;

DO $$
  BEGIN
    ALTER TABLE {SCHEMA_NAME}.postjobs ADD COLUMN sticky_host_id UUID 
      REFERENCES {SCHEMA_NAME}.hosts;
  EXCEPTION
    WHEN duplicate_column THEN RAISE DEBUG 'column {SCHEMA_NAME}.postjobs.sticky_host_id already exists';
  END;
$$;

DO $$
  BEGIN
    ALTER TABLE {SCHEMA_NAME}.postjobs ADD COLUMN is_greedy BOOLEAN NOT NULL DEFAULT FALSE;
  EXCEPTION
    WHEN duplicate_column THEN RAISE DEBUG 'column {SCHEMA_NAME}.postjobs.is_greedy already exists';
  END;
$$;
